"""Added participant_ids table

Revision ID: ee6561e8a9b9
Revises: 85449bc124de
Create Date: 2017-09-29 08:01:32.856220

"""

# revision identifiers, used by Alembic.
revision = 'ee6561e8a9b9'
down_revision = '85449bc124de'

from alembic import op
import sqlalchemy as sa


INSERTS = """
insert into participant_ids (personal_id, uuid, is_no_longer_reportable, deleted) SELECT personal_id, uuid, 'f', 'f' from participants;
"""
DELETES = """"""


def iter_statements(stmts):
    for st in [x for x in stmts.split('\n') if x]:
        op.execute(st)


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.create_table('participant_ids',
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('personal_id', sa.String(), nullable=False),
    sa.Column('uuid', sa.String(), nullable=False),
    sa.Column('is_no_longer_reportable', sa.Boolean(), nullable=False),
    sa.Column('deleted', sa.Boolean(), nullable=False),
    sa.PrimaryKeyConstraint('id'),
    sa.UniqueConstraint('personal_id'),
    sa.UniqueConstraint('uuid')
    )
    # ### end Alembic commands ###
    iter_statements(INSERTS)


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_table('participant_ids')
    # ### end Alembic commands ###
    iter_statements(DELETES)
